Bug #1092: miniruby cause SEGV on x64-mswin64_90
http://redmine.ruby-lang.org/issues/show/1092

Author: Usaku NAKAMURA
Status: Open, Priority: Normal
Assigned to: Usaku NAKAMURA, Target version: 1.9.1
ruby -v: ruby 1.9.1p0 (2009-01-30 revision 21907) [x64-mswin64_90]

(this issue is reported by <yesmar _AT_ speakeasy.net>)

I tried to register with redmine to file this bug but the system would not let me login. Since your name is associated with this bug I decided to directly email the details to you.

I am trying to compile Ruby 1.9.1-p0 on Windows Server 2008 X64 using Visual Studio 2008. Here are the commands I execute to run the build:

cd ruby-1.9.1-p0
win32\configure.bat --prefix=c:\ruby --target=x64-mswin64
"c:\Program Files (x86)\Microsoft Visual Studio 9.0\VC\BIN\nmake.exe"

The compile fails here:

----- cut here -----
   Creating library miniruby.lib and object miniruby.exp
        miniruby.exe -v
ruby 1.9.1p0 (2009-01-30 revision 21907) [x64-mswin64_90]
        mt -nologo -manifest miniruby.exe.manifest -outputresource:miniruby.exe;
2
.\miniruby.exe: [BUG] Segmentation fault
ruby 1.9.1p0 (2009-01-30 revision 21907) [x64-mswin64_90]

-- control frame ----------
c:174795479500980226 p:-795976 s:17179869188 b:40697744 l:174795479500980227 d:1
74795479500980227 TOP
c:174795788738625537 p:0000 s:8589934594 b:40697816 l:26cffd800002320 d:26cffd80
0002320 TOP
---------------------------
-- Ruby level backtrace information-----------------------------------------

[NOTE]
You may encounter a bug of Ruby interpreter. Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html


This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.
NMAKE : fatal error U1077: '.\miniruby.exe' : return code '0x3'
Stop.
----- cut here -----

I looked in the redmine bug database and believe that my issue is covered by Bug 1036. I notice that this bug has been changed from open to feedback. Since I am having the same issue, can we move it back to open? I would like to be working with ruby 1.9.1-p0 instead of rc1.

Thank you very much,

~/Ramsey Dow


----------------------------------------
http://redmine.ruby-lang.org